Home / Lua API Manual / darktable / darktable.gui / darktable.gui.libs / darktable.gui.libs.import
< darktable.gui.libs.image
darktable.gui.libs.lighttable_mode >

# darktable.gui.libs.import

The buttons to start importing images

Attributes:

- has_tostring
- parent : types.dt_lua_lib_t

## 🔗darktable.gui.libs.import.register_widget

    function(
      widget : types.lua_widget
    )

Add a widget in the option expander of the import dialog

- widget - types.lua_widget - The widget to add to the dialog. The reset callback of the widget will be called whenever the dialog is opened.

< darktable.gui.libs.image
darktable.gui.libs.lighttable_mode >